GSI Forum
GSI Helmholtzzentrum für Schwerionenforschung

Home » Fairroot » External Packages » New external packages apr13p1
New external packages apr13p1 [message #16483] Wed, 30 April 2014 13:43 Go to next message
Florian Uhlig is currently offline  Florian Uhlig
Messages: 424
Registered: May 2007
first-grade participant
From: *gsi.de
Hi,

there is a new patch release "apr13p1" of the extrenal packages available which fixes an issue on Ubuntu 14.04. A detailed description of the problem can be found here
Re: New external packages apr13p1 [message #17845 is a reply to message #16483] Fri, 06 February 2015 13:48 Go to previous messageGo to next message
Mamen is currently offline  Mamen
Messages: 55
Registered: January 2009
Location: Mainz
continuous participant
From: *unity-media.net
Hi,

I had the same problem than Martin here (https://forum.gsi.de/index.php?t=msg&th=4230&start=0& ->instaling external Packages on Ubuntu-Gnome 14.10) and I tried to edit the files "tools/rootconfig.sh" and "tools/root/rootconfig.sh" adding

--enable-builtin-freetype


to the ./configure option, like that:

./configure $arch --enable-builtin-freetype --enable-soversion   $XROOTD  $ROOFIT \
                    --enable-minuit2  --enable-gdml --enable-xml \
                    --enable-builtin-ftgl  --enable-builtin-glew \
                    --with-pythia6-libdir=$pythia6_libdir \
                    --with-pythia8-libdir=$pythia8_libdir \
                    --with-pythia8-incdir=$pythia8_incdir \
                    --enable-mysql --enable-pgsql\
                    --disable-globus \
                    --disable-reflex \
                    --disable-cintex \
                    --with-monalisa-libdir=$monalisa_dir/lib \
                    --with-monalisa-incdir=$monalisa_dir/include \
                    --with-gsl-incdir=$gsl_dir/include \
                    --with-gsl-libdir=$gsl_dir/lib \
                    --with-f77=$FC  $prefix_string \
                    $etc_string $debugstring 



Then I called again ./configure, and it didn't work for me. It shows the same error.
I then tried to download the external packages with the patch, but I am not sure how to do it. I tried:

svn co https://subversion.gsi.de/fairroot/pandaroot/release/apr13p1


But this link doesn't seem to exist.
svn: E170000: URL 'https://subversion.gsi.de/fairroot/pandaroot/release/apr13p1' doesn't exist

What is the correct way to download the external packages with the patch?
Thanks a lot for your help, and sorry for the inconveniences...

Cheers,
Mamen
Re: New external packages apr13p1 [message #17846 is a reply to message #17845] Fri, 06 February 2015 14:02 Go to previous messageGo to next message
StefanoSpataro is currently offline  StefanoSpataro
Messages: 2736
Registered: June 2005
Location: Torino
first-grade participant

From: *to.infn.it
Hi Mamen,
you should clean the root build directory in order to use the new configuration. In any case with you should use apr13p1 just to be sure.

Rhe correct command is:

svn co https://subversion.gsi.de/fairroot/fairsoft/release/apr13p1 


since it is the fairsoft release and not the pandaroot one.


Re: New external packages apr13p1 [message #17847 is a reply to message #17846] Fri, 06 February 2015 14:15 Go to previous message
Mamen is currently offline  Mamen
Messages: 55
Registered: January 2009
Location: Mainz
continuous participant
From: *unity-media.net
Thank you for your fast answer.
You're right, I was requesting for pandaroot instead of fairsoft... Embarassed

Thanks again...
Previous Topic: jul14p3 rootconfig.sh line 44 too many arugments for [
Next Topic: [SOLVED] problems with external packages jul14p3@GSI
Goto Forum:
  


Current Time: Sat Oct 16 13:20:37 CEST 2021

Total time taken to generate the page: 0.01639 seconds